Add compat impl for gtk_accessible_get_widget()
authorBehdad Esfahbod <behdad@behdad.org>
Thu, 22 Jul 2010 16:32:40 +0000 (12:32 -0400)
committerBehdad Esfahbod <behdad@behdad.org>
Thu, 22 Jul 2010 17:06:21 +0000 (13:06 -0400)
src/vte-gtk-compat.h
src/vteaccess.c

index c7c930b..7598f9b 100644 (file)
@@ -50,6 +50,10 @@ G_BEGIN_DECLS
 
 #endif
 
+#if !GTK_CHECK_VERSION (2, 22, 0)
+#define gtk_accessible_get_widget(accessible)           ((accessible)->widget)
+#endif
+
 #if !GTK_CHECK_VERSION (2, 20, 0)
 #define gtk_widget_get_mapped(widget)                   (GTK_WIDGET_MAPPED ((widget)))
 #define gtk_widget_get_realized(widget)                 (GTK_WIDGET_REALIZED ((widget)))
index 91a98fe..d7db963 100644 (file)
@@ -33,6 +33,7 @@
 #include "vte.h"
 #include "vteaccess.h"
 #include "vteint.h"
+#include "vte-gtk-compat.h"
 
 #ifdef HAVE_LOCALE_H
 #include <locale.h>